At this time, Siren Diabetic Socks require pairing either with an Android phone using OS 6 or higher or an iPhone using OS 12.0.8 or higher.

Did this answer your question?